• Oleg Grenrus's avatar
    Remove fields in cabal spec 3.0 · 0d6343ac
    Oleg Grenrus authored
    - extensions
    - (singular) hs-source-dir
    - build-tools
    
    Example, with `cabal-version: 2.5`
    
    ```
    [laptop] tree-diff % cabal new-build --dry
    Errors encountered when parsing cabal file ./tree-diff.cabal:
    
    tree-diff.cabal:59:3: error:
    The field "extensions" is removed in the Cabal specification version 2.5. Please use 'default-extensions' or 'other-extensions' fields.
    
       58 | library
       59 |   extensions: CPP
          |   ^
    
    tree-diff.cabal:60:3: error:
    The field "extensions" is removed in the Cabal specification version 2.5. Please use 'default-extensions' or 'other-extensions' fields.
    
       59 |   extensions: CPP
       60 |   extensions: DeriveGeneric
          |   ^
    ```
    
    I needed to add new CabalSpecVersion to properly issue deprecation
    messages of `extensions`.
    0d6343ac
developing-packages.rst 135 KB